# SPDX-FileCopyrightText: 2024 eclipse foundation
# SPDX-License-Identifier: EPL-2.0

include: 
  - local: /jobs/workflow.gitlab-ci.yml
  - local: pipeline-autodevops.gitlab-ci.yml
  - local: /jobs/buildkit.gitlab-ci.yml
  - local: /jobs/hadolint.gitlab-ci.yml

stages:
  - build
  - test

default:
  retry:
    max: 2
    when:
      - runner_system_failure

buildkit:
  extends: 
    - .ef-buildkit
    - .buildkit_rules
  variables: 
    BUILD_CONTEXT_CHANGE: "" # https://gitlab.com/gitlab-org/gitlab/-/issues/216906

hadolint:
  extends: 
    - .hadolint
    - .buildkit_rules
  needs: []
  variables: 
    DOCKERFILE_CONTEXT_CHANGE: ""
